## org.apache.poi.hssf.record
Class SeriesToChartGroupRecord

    java.lang.Object
      org.apache.poi.hssf.record.Record
          org.apache.poi.hssf.record.SeriesToChartGroupRecord

public class SeriesToChartGroupRecord
extends Record

Indicates the chart-group index for a series. The order probably defines the mapping. So the 0th record probably means the 0th series. The only field in this of course defines which chart group the 0th series (for instance) would map to. Confusing? Well thats because it is. (p 522 BCG) NOTE: This source is automatically generated please do not modify this file. Either subclass or remove the record in src/records/definitions.

Author:
  Andrew C. Oliver (acoliver at apache.org)

Field Summary
`static short` `sid`

Constructor Summary
`SeriesToChartGroupRecord()`
`SeriesToChartGroupRecord(short id, short size, byte[] data)` Constructs a SeriesToChartGroup record and sets its fields appropriately.
`SeriesToChartGroupRecord(short id, short size, byte[] data, int offset)` Constructs a SeriesToChartGroup record and sets its fields appropriately.

Method Summary
`java.lang.Object` `clone()`
`protected void` `fillFields(byte[] data, short size, int offset)` called by the constructor, should set class level fields.
`short` `getChartGroupIndex()` Get the chart group index field for the SeriesToChartGroup record.
`int` `getRecordSize()` Size of record (exluding 4 byte header)
`short` `getSid()` return the non static version of the id for this record.
`int` `serialize(int offset, byte[] data)` called by the class that is responsible for writing this sucker.
`void` `setChartGroupIndex(short field_1_chartGroupIndex)` Set the chart group index field for the SeriesToChartGroup record.
`java.lang.String` `toString()` get a string representation of the record (for biffview/debugging)
`protected void` `validateSid(short id)` Checks the sid matches the expected side for this record

Methods inherited from class org.apache.poi.hssf.record.Record
`fillFields, isInValueSection, isValue, processContinueRecord, serialize`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### sid

    public static final short sid

See Also:
  Constant Field Values

Constructor Detail

### SeriesToChartGroupRecord

    public SeriesToChartGroupRecord()

### SeriesToChartGroupRecord

    public SeriesToChartGroupRecord(short id,
                                    short size,
                                    byte[] data)

  Constructs a SeriesToChartGroup record and sets its fields appropriately.

Parameters:
  `id` - id must be 0x1045 or an exception will be throw upon validation
  `size` - size the size of the data area of the record
  `data` - data of the record (should not contain sid/len)

### SeriesToChartGroupRecord

    public SeriesToChartGroupRecord(short id,
                                    short size,
                                    byte[] data,
                                    int offset)

  Constructs a SeriesToChartGroup record and sets its fields appropriately.

Parameters:
  `id` - id must be 0x1045 or an exception will be throw upon validation
  `size` - size the size of the data area of the record
  `data` - data of the record (should not contain sid/len)
  `offset` - of the record's data

Method Detail

### validateSid

    protected void validateSid(short id)

  Checks the sid matches the expected side for this record

  Specified by:
    `validateSid` in class `Record`
  Parameters:
    `id` - the expected sid.

### fillFields

    protected void fillFields(byte[] data,
                              short size,
                              int offset)

  Description copied from class: `Record`
  called by the constructor, should set class level fields. Should throw runtime exception for bad/icomplete data.

  Specified by:
    `fillFields` in class `Record`
  Parameters:
    `data` - raw data
    `size` - size of data
    `offset` - of the record's data (provided a big array of the file)

### toString

    public java.lang.String toString()

  Description copied from class: `Record`
  get a string representation of the record (for biffview/debugging)

  Overrides:
    `toString` in class `Record`

### serialize

    public int serialize(int offset,
                         byte[] data)

  Description copied from class: `Record`
  called by the class that is responsible for writing this sucker. Subclasses should implement this so that their data is passed back in a byte array.

  Specified by:
    `serialize` in class `Record`
  Parameters:
    `offset` - to begin writing at
    `data` - byte array containing instance data
  Returns:
    number of bytes written

### getRecordSize

    public int getRecordSize()

  Size of record (exluding 4 byte header)

  Overrides:
    `getRecordSize` in class `Record`

### getSid

    public short getSid()

  Description copied from class: `Record`
  return the non static version of the id for this record.

  Specified by:
    `getSid` in class `Record`

### clone

    public java.lang.Object clone()

  Overrides:
    `clone` in class `Record`

### getChartGroupIndex

    public short getChartGroupIndex()

  Get the chart group index field for the SeriesToChartGroup record.

### setChartGroupIndex

    public void setChartGroupIndex(short field_1_chartGroupIndex)

  Set the chart group index field for the SeriesToChartGroup record.

Copyright © 2003 Apache Software Foundation.